<?php
require_once("db.php");

class Database{

public function closeDataBase(){
$conn=null;

}
/* this checks if the user exists
@param email is users email
@param $conn is the connection object
*/
public function checkUserExist($email,$conn){
$sql="select count(*) from Myuser where email=:email";
$st=$conn->prepare($sql);
$st->bindValue(':email',$email);
$st->execute();
$num=$st->fetchColumn();
$st=null;
if($num>0)
return true;
else 
return false;
}
/*
This method authenticates the user
@param email is users email
@param password is the submitted password
@param $conn is the connection object
*/
public function authen($email,$password,$conn){
$sql="select password from Myuser where email=:email";
$st=$conn->prepare($sql);
$st->bindValue(":email",$email);
$res=$st->execute();
$row=$st->fetchAll();
if(password_verify($password,$row[0]['password']))
return true;
else
return false;
}

public function register($email,$password,$name,$conn){
$hash=password_hash($password,PASSWORD_DEFAULT);//we hash  our password
$sql="INSERT INTO Myuser ( email, password,name ) VALUES ( :email, :password ,:name)"; 
$st=$conn->prepare($sql);
$st->bindValue(":email",$email);
$st->bindValue(":password",$hash);
$st->bindValue(":name",$name);
$st->execute();
$st=null;
}
} 
?>